<?php

use JsonApi\Routes\ActivityStreamShow;

class ActivityStreamShowTest extends \Codeception\Test\Unit
{
    /**
     * @var \UnitTester
     */
    protected $tester;

    protected function _before()
    {
        \DBManager::getInstance()->setConnection('studip', $this->getModule('\\Helper\\StudipDb')->dbh);
    }

    protected function _after()
    {
    }

    // tests
    public function testShowEmptyStream()
    {
        $credentials = $this->tester->getCredentialsForTestAutor();
        $response = $this->tester->callJsonApi(ActivityStreamShow::class, $credentials, ['id' => $credentials['id']]);
        $this->tester->assertTrue($response->isSuccessfulDocument([200]));

        $document = $response->document();
        $this->tester->assertTrue($document->isResourceCollectionDocument());
        $this->tester->assertEmpty($document->primaryResources());
    }
}
